--- misc/plugin/attach/attach.cgi	2016-03-04 14:49:01.012985559 +0900
+++ misc/plugin/attach/attach.cgi.org	2016-03-04 14:44:22.605955303 +0900
@@ -5,17 +5,17 @@
 
 $SAFE     = 1
 
-if FileTest.symlink?( __FILE__.untaint ) then
-  org_path = File.dirname( File.expand_path( File.readlink( __FILE__.untaint ) ) )
+if FileTest.symlink?( __FILE__ ) then
+  org_path = File.dirname( File.expand_path( File.readlink( __FILE__ ) ) )
 else
-  org_path = File.dirname( File.expand_path( __FILE__.untaint ) )
+  org_path = File.dirname( File.expand_path( __FILE__ ) )
 end
 $:.unshift( org_path.untaint, "#{org_path.untaint}/hiki" )
 $:.delete(".") if File.writable?(".")
 
 require 'cgi'
-require_relative 'hiki/config'
-require_relative 'hiki/util'
+require 'hiki/config'
+require 'hiki/util'
 
 include Hiki::Util
 
@@ -25,29 +25,29 @@
   cgi = CGI.new
 
   params     = cgi.params
-  page       = params['p'][0] ? params['p'][0].read : 'FrontPage'
-  command = params['command'][0] ? params['command'][0].read : 'view'
+  page       = params['p'] ? params['p'].read : 'FrontPage'
+  command = params['command'] ? params['command'].read : 'view'
   command = 'view' unless ['view', 'edit'].index(command)
   r = ''
 
   max_size = @conf.options['attach_size'] || 1048576
 
-  if cgi.params['attach'][0]
+  if cgi.params['attach']
     begin
-      raise 'Invalid request.' unless params['p'][0] && params['attach_file'][0]
+      raise 'Invalid request.' unless params['p'] && params['attach_file']
 
-      filename   = File.basename(params['attach_file'][0].original_filename.gsub(/\\/, '/'))
+      filename   = File.basename(params['attach_file'].original_filename.gsub(/\\/, '/'))
       cache_path = "#{@conf.cache_path}/attach"
 
       Dir.mkdir(cache_path) unless test(?e, cache_path.untaint)
       attach_path = "#{cache_path}/#{escape(page)}"
       Dir.mkdir(attach_path) unless test(?e, attach_path.untaint)
       path = "#{attach_path}/#{escape(filename.to_euc)}"
-      if params['attach_file'][0].size > max_size
+      if params['attach_file'].size > max_size
         raise "File size is larger than limit (#{max_size} bytes)."
       end
       unless filename.empty?
-        content = params['attach_file'][0].read
+        content = params['attach_file'].read
         if (!@conf.options['attach.allow_script']) && (/<script\b/i =~ content)
           raise "You cannot attach a file that contains scripts."
         else
@@ -62,20 +62,16 @@
       redirect(cgi, "#{@conf.index_url}?c=#{command}&p=#{escape(page)}")
     rescue Exception => ex
       print cgi.header( 'type' => 'text/plain' )
-      if ex.message=='no content body'
-        puts "file attached. please go back and reload."
-      else
-        puts ex.message
-      end
+      puts ex.message
     end
-  elsif cgi.params['detach'][0] then
+  elsif cgi.params['detach'] then
     attach_path = "#{@conf.cache_path}/attach/#{escape(page)}"
 
     begin
       Dir.foreach(attach_path) do |file|
-        next unless params["file_#{file}"][0]
+        next unless params["file_#{file}"]
         path = "#{attach_path}/#{file}"
-        if FileTest.file?(path.untaint) and params["file_#{file}"][0].read
+        if FileTest.file?(path.untaint) and params["file_#{file}"].read
           File.unlink(path)
           r << "FILE        = #{File.basename(path)}\n"
         end
@@ -85,11 +81,7 @@
       redirect(cgi, "#{@conf.index_url}?c=#{command}&p=#{escape(page)}")
     rescue Exception => ex
       print cgi.header( 'type' => 'text/plain' )
-      if ex.message=='no content body'
-        puts "file detached. please go back and reload."
-      else
-        puts ex.message
-      end
+      puts ex.message
     end
   end
 end
